Fehlermeldung im PhpMyAdmin 3.4.9

Posted: 9th Februar 2012 by Thorben Hemmler in MySQL, Serveradministration

Fehler im phpMyAdmin:

Der phpMyAdmin-Konfigurationsspeicher ist nicht vollständig konfiguriert, einige erweiterte Funktionen wurden deaktiviert. Klicken Sie hier, um herauszufinden warum.

Lösung:

Öffnen der Datei main.php im PhpMyAdmin-Verzeichnis. Dort Zeile 298 (bzw. 318)

if ($server > 0) {
ändern in
if ($server > 0 AND 1 == 2) {

Danach ist der Fehler weg.

 

Den Versionscheck kann mann ganz einfach abgeschaltet werden, in dem folgender Parameter in der config.inc.php gesetzt wird:
$cfg['VersionCheck'] =false;
  1. Tommy sagt:

    Hallo hab da eine frage wo genau finde ich die main.php im PhpMyAdmin-Verzeichnis

  2. admin sagt:

    Die main.php befindet sich direkt im Hauptverzeichnis, in meinem Fall (/usr/local/www/phpMyAdmin). Notfalls mit „find“ suchen… ‚find / -name main.php‘

  3. escape sagt:

    Danke für die Info !!!
    Hat perfekt geholfen :)

  4. Stefan sagt:

    Warum sollte man den Versionscheck deaktivieren?

  5. admin sagt:

    Moin Stefan!
    Ich habe das nur abgeschaltet, weil mich teilweise meine Kunden nerven, wenn einen Tag nach einer „Neuerscheinung“ noch nicht die aktuelle Version eingespielt ist ;-)
    Gruß
    Thorben